<%--
~ Copyright (c) 2021, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~  WSO2 Inc. licenses this file to you under the Apache License,
~  Version 2.0 (the "License"); you may not use this file except
~  in compliance with the License.
~  You may obtain a copy of the License at
~
~    http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied.  See the License for the
~ specific language governing permissions and limitations
~ under the License.
--%>

<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="org.wso2.carbon.identity.mgt.endpoint.util.IdentityManagementEndpointConstants" %>
<%@ page import="org.wso2.carbon.identity.core.util.IdentityTenantUtil" %>

<%
    String tenantDomain;
    String tenantForTheming;
    if (IdentityTenantUtil.isTenantQualifiedUrlsEnabled()) {
        tenantDomain = IdentityTenantUtil.getTenantDomainFromContext();
        tenantForTheming = tenantDomain;
        String spAppName = request.getParameter("sp");
        String tenantDomainFromURL = request.getParameter("t");
        if (!StringUtils.isBlank(tenantDomainFromURL) && !StringUtils.equals(spAppName, "Console")) {
             tenantForTheming = tenantDomainFromURL;
        }
        String tenantDomainOfUser = request.getParameter("ut");
        if (!StringUtils.isBlank(tenantDomainOfUser) && !StringUtils.equals(spAppName, "Console")) {
             tenantForTheming = tenantDomainOfUser;
        }
    } else {
        tenantDomain = request.getParameter("tenantDomain");
        String tenantDomainFromURL = request.getParameter("t");
        String tenantDomainOfUser = request.getParameter("ut");
        String spAppName = request.getParameter("sp");

        if (StringUtils.isBlank(tenantDomain)) {
            tenantDomain = request.getParameter(IdentityManagementEndpointConstants.TENANT_DOMAIN);
        }

        if (!StringUtils.isBlank(tenantDomainFromURL)) {
            tenantDomain = tenantDomainFromURL;
        }

        tenantForTheming = tenantDomain;

        if (!StringUtils.isBlank(tenantDomainOfUser) && !StringUtils.equals(spAppName, "Console")) {
             tenantForTheming = tenantDomainOfUser;
        }
    }
%>
